
package com.biperf.test.jms.async;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.Session;

import org.apache.log4j.Logger;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.jms.core.MessageCreator;

public class TestMessageSender
{
  private static Logger logger = Logger.getLogger( TestMessageSender.class );
  private JmsTemplate jmsTemplate = null;

  public void send( String message )
  {
    try
    {
      MessageCreator msg = new TestMessageCreator( message );
      jmsTemplate.send( msg );
    }
    catch( Exception e )
    {
      e.printStackTrace();
      logger.error( e.getMessage(), e );
    }
  }

  public JmsTemplate getJmsTemplate()
  {
    return jmsTemplate;
  }

  public void setJmsTemplate( JmsTemplate jmsTemplate )
  {
    this.jmsTemplate = jmsTemplate;
  }

  class TestMessageCreator implements MessageCreator
  {
    private String message = null;

    public TestMessageCreator( String message )
    {
      this.message = message;
    }

    public Message createMessage( Session session ) throws JMSException
    {
      TestMessage payload = new TestMessage();
      payload.setMessage( message );
      Message message = session.createObjectMessage( payload );
      return message;
    }
  }
}