/*
 * (c) 2008 BI, Inc.  All rights reserved.
 * $Source: /usr/local/ndscvsroot/products/cmmo/cmmo-web/src/main/java/com/biperf/cmmo/ui/util/init/LoggingBootstrapListener.java,v $
 */

package com.biperf.test.jms.init;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.commons.logging.LogFactory;
import org.apache.log4j.LogManager;
import org.apache.log4j.xml.DOMConfigurator;
import org.springframework.util.ResourceUtils;

/**
 * LoggingBootstrapListener sets/unsets the ServletContext into the BeanLocator.
 *
 * @author repko
 * @since Sep 4, 2008
 * @version 1.0
 */
public class LoggingBootstrapListener implements ServletContextListener
{
  @Override
  public void contextInitialized( ServletContextEvent event )
  {
    event.getServletContext().log( "LoggingBootstrapListener.init" );
    try
    {
      String configUrl = "classpath:log4j.xml";
      DOMConfigurator.configure( ResourceUtils.getURL( configUrl ) );
    }
    catch( Exception e )
    {
      e.printStackTrace();
    }
  }

  @Override
  public void contextDestroyed( ServletContextEvent event )
  {
    event.getServletContext().log( "LoggingBootstrapListener.destroy" );
    LogFactory.releaseAll();
    LogManager.shutdown();
  }
}
